---
nameOverride: ""
fullnameOverride: ""

replicaCount: 1

image:
  repository: registry.gitlab.com/commonground/huishoudboekje/app-new/alarmenservice
  pullPolicy: ""
  tag: ""

init1:
  image:
    repository: busybox
    pullPolicy: ""
    tag: latest
init2:
  image:
    repository: bitnami/postgresql
    pullPolicy: ""
    tag: 13

podSecurityContext: {}

securityContext:
  capabilities:
    drop:
      - ALL
  readOnlyRootFilesystem: true
  runAsNonRoot: true
  allowPrivilegeEscalation: false

resources:
  limits:
    cpu: "1"
    memory: 512Mi
  requests:
    cpu: 250m
    memory: 192Mi

autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 4
  targetCPUUtilizationPercentage: 80
  targetMemoryUtilizationPercentage: 80

cronJobs:
  evaluateAlarms:
    image:
      repository: registry.gitlab.com/commonground/huishoudboekje/app-new/rabbitmq-message-publisher
      pullPolicy: ""
      tag: ""
    enabled: true
    schedule: "0 3 * * *" # Every night at 03:00.
    startingDeadlineSeconds: 3600
    failedJobsHistoryLimit: 3
    successfulJobsHistoryLimit: 1

existingSecrets:
  database:
    # Secret name
    name: ""
    # Item in secret container DB host.
    host: ""
    # Item in secret containing DB port.
    port: ""
    # Item in secret containing DB name.
    dbName: ""
    # Item in secret containing DB username.
    username: ""
    # Item in secret containing DB password.
    password: ""

database:
  host: ""
  port: ""
  dbName: alarmenservice
  username: alarmenservice
  password: alarmenservice

extraEnvVars: []
